Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/addfi.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/addfi.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/addfi.F90	(revision 5159)
@@ -1,7 +1,5 @@
 ! $Id$
 
-SUBROUTINE addfi(pdt, leapf, forward, &
-        pucov, pvcov, pteta, pq, pps, &
-        pdufi, pdvfi, pdhfi, pdqfi, pdpfi)
+SUBROUTINE addfi(pdt, leapf, forward, pucov, pvcov, pteta, pq, pps, pdufi, pdvfi, pdhfi, pdqfi, pdpfi)
 
   USE infotrac, ONLY: nqtot
@@ -9,13 +7,16 @@
   USE lmdz_ssum_scopy, ONLY: ssum
   USE lmdz_comgeom
+  USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
+
   IMPLICIT NONE
-  !
+
   !=======================================================================
-  !
+
   !    Addition of the physical tendencies
-  !
+
   !    Interface :
   !    -----------
-  !
+
   !  Input :
   !  -------
@@ -31,5 +32,5 @@
   !  pdhfi(ip1jmp1)         |      tendencies
   !  pdtsfi(ip1jmp1)        |
-  !
+
   !  Output :
   !  --------
@@ -38,21 +39,13 @@
   !  ph
   !  pts
-  !
-  !
+
+
   !=======================================================================
-  !
-  !-----------------------------------------------------------------------
-  !
-  !    0.  Declarations :
-  !    ------------------
-  !
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
-  !
+  !  !
   !    Arguments :
   !    -----------
-  !
+
   REAL, INTENT(IN) :: pdt ! time step for the integration (s)
-  !
+
   REAL, INTENT(INOUT) :: pvcov(ip1jm, llm) ! covariant meridional wind
   REAL, INTENT(INOUT) :: pucov(ip1jmp1, llm) ! covariant zonal wind
@@ -66,16 +59,16 @@
   REAL, INTENT(IN) :: pdhfi(ip1jmp1, llm)
   REAL, INTENT(IN) :: pdpfi(ip1jmp1)
-  !
+
   LOGICAL, INTENT(IN) :: leapf, forward ! not used
-  !
-  !
+
+
   !    Local variables :
   !    -----------------
-  !
+
   REAL :: xpn(iim), xps(iim), tpn, tps
   INTEGER :: j, k, iq, ij
   REAL, PARAMETER :: qtestw = 1.0e-15
   REAL, PARAMETER :: qtestt = 1.0e-40
-  !
+
   !-----------------------------------------------------------------------
 
@@ -113,5 +106,5 @@
   ENDDO
 
-  !
+
   DO j = 1, ip1jmp1
     pps(j) = pps(j) + pdpfi(j) * pdt
@@ -177,4 +170,3 @@
   ENDDO
 
-
 END SUBROUTINE addfi
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/advect.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/advect.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/advect.F90	(revision 5159)
@@ -9,13 +9,15 @@
   USE lmdz_comgeom
 
+  USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
   !=======================================================================
-  !
+
   !   Auteurs:  P. Le Van , Fr. Hourdin  .
   !   -------
-  !
+
   !   Objet:
   !   ------
-  !
+
   !   *************************************************************
   !   .... calcul des termes d'advection vertic.pour u,v,teta,q ...
@@ -23,5 +25,5 @@
   !    ces termes sont ajoutes a du,dv,dteta et dq .
   !  Modif F.Forget 03/94 : on retire q de advect
-  !
+
   !=======================================================================
   !-----------------------------------------------------------------------
@@ -29,6 +31,6 @@
   !   -------------
 
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
+
+
 
   !   Arguments:
@@ -97,5 +99,5 @@
   !-----------------------------------------------------------------------
 
-  !
+
   DO l = 1, llmm1
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/advtrac.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/advtrac.f90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/advtrac.f90	(revision 5159)
@@ -22,8 +22,10 @@
   USE lmdz_groupe, ONLY: groupe
 
-  IMPLICIT NONE
-
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
+  USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
+IMPLICIT NONE
+
+
+
 
   !---------------------------------------------------------------------------
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/bilan_dyn.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/bilan_dyn.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/bilan_dyn.F90	(revision 5159)
@@ -16,19 +16,21 @@
   USE lmdz_comgeom2
 
+USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
 
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
+
+
 
   !====================================================================
-  !
+
   !   Sous-programme consacre à des diagnostics dynamiques de base
-  !
-  !
+
+
   !   De facon generale, les moyennes des scalaires Q sont ponderees par
   !   la masse.
-  !
+
   !   Les flux de masse sont eux simplement moyennes.
-  !
+
   !====================================================================
 
@@ -148,5 +150,5 @@
 
   !   Variables locales
-  !
+
   INTEGER :: tau0
   REAL :: zjulian
@@ -155,5 +157,5 @@
   INTEGER :: ii, jj
   INTEGER :: zan, dayref
-  !
+
   REAL :: rlong(jjm), rlatg(jjm)
 
@@ -225,10 +227,10 @@
             tau0, zjulian, dt_cum, thoriid, fileid)
 
-    !
+
     !  Appel a histvert pour la grille verticale
-    !
+
     CALL histvert(fileid, 'presnivs', 'Niveaux sigma', 'mb', &
             llm, presnivs, zvertiid)
-    !
+
     !  Appels a histdef pour la definition des variables a sauvegarder
     DO iQ = 1, nQ
@@ -325,5 +327,5 @@
   !   Cumul
   !=====================================================================
-  !
+
   IF(icum==0) THEN
     ps_cum = 0.
@@ -456,23 +458,23 @@
     !   calcul de la moyenne zonale du transport :
     !   ------------------------------------------
-    !
+
     !                                 --
     ! TOT : la circulation totale       [ vq ]
-    !
+
     !                                  -     -
     ! MMC : mean meridional circulation [ v ] [ q ]
-    !
+
     !                                 ----      --       - -
     ! TRS : transitoires                [ v'q'] = [ vq ] - [ v q ]
-    !
+
     !                                 - * - *       - -       -     -
     ! STT : stationaires                [ v   q   ] = [ v q ] - [ v ] [ q ]
-    !
+
     !                                          - -
     !    on utilise aussi l'intermediaire TMP :  [ v q ]
-    !
+
     !    la variable zfactv transforme un transport meridien cumule
     !    en kg/s * unte-du-champ-transporte en m/s * unite-du-champ-transporte
-    !
+
     !   --------------------------------------------------------------
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/caladvtrac.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/caladvtrac.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/caladvtrac.F90	(revision 5159)
@@ -1,10 +1,10 @@
 ! $Id$
 
-!
-!
+
+
 SUBROUTINE caladvtrac(q, pbaru, pbarv, &
         p, masse, dq, teta, &
         flxw, pk)
-  !
+
   USE infotrac, ONLY: nqtot
   USE control_mod, ONLY: iapp_tracvl, planet_type
@@ -13,17 +13,19 @@
   USE lmdz_ssum_scopy, ONLY: scopy
 
+  USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
-  !
+
   ! Auteurs:   F.Hourdin , P.Le Van, F.Forget, F.Codron
-  !
+
   ! F.Codron (10/99) : ajout humidite specifique pour eau vapeur
   !=======================================================================
-  !
+
   !   Shema de  Van Leer
-  !
+
   !=======================================================================
 
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
+
+
 
   !   Arguments:
@@ -36,9 +38,9 @@
 
   !  ..................................................................
-  !
+
   !  .. dq n'est utilise et dimensionne que pour l'eau  vapeur et liqu.
-  !
+
   !  ..................................................................
-  !
+
   !   Local:
   !   ------
@@ -49,5 +51,5 @@
 
   !c
-  !
+
   ! Earth-specific stuff for the first 2 tracers (water)
   IF (planet_type=="earth") THEN
@@ -73,10 +75,10 @@
     IF (planet_type=="earth") THEN
       ! Earth-specific treatment for the first 2 tracers (water)
-      !
+
       !c          CALL minmaxq(q(1,1,1),1.e33,-1.e33,'Eau vapeur     ')
       !c          CALL minmaxq(q(1,1,2),1.e33,-1.e33,'Eau liquide    ')
 
       !c     ....  Calcul  de deltap  qu'on stocke dans finmasse   ...
-      !
+
       DO l = 1, llm
         DO ij = 1, ip1jmp1
@@ -91,10 +93,10 @@
       CALL SCOPY   (ip1jmp1 * llm, masse, 1, finmasse, 1)
       CALL filtreg (finmasse, jjp1, llm, -2, 2, .TRUE., 1)
-      !
+
       !   *****  Calcul de dq pour l'eau , pour le passer a la physique ******
       !   ********************************************************************
-      !
+
       dtvrtrac = iapp_tracvl * dtvr
-      !
+
       DO iq = 1, nqtot
         DO l = 1, llm
@@ -105,5 +107,5 @@
         ENDDO
       ENDDO
-      !
+
     endif ! of if (planet_type.EQ."earth")
   ELSE
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/caldyn.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/caldyn.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/caldyn.F90	(revision 5159)
@@ -8,4 +8,6 @@
   USE lmdz_comgeom
 
+  USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
 
@@ -26,6 +28,6 @@
   !   ----------------
 
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
+
+
 
   !   Arguments:
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/check_isotopes.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/check_isotopes.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/check_isotopes.F90	(revision 5159)
@@ -4,6 +4,7 @@
                           ntiso, iH2O, nzone, tracers, isoName,  itZonIso, getKey
 
+USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
    IMPLICIT NONE
-   INCLUDE "dimensions.h"
+
    REAL,             INTENT(INOUT) :: q(ip1jmp1,llm,nqtot)
    INTEGER,          INTENT(IN)    :: ip1jmp1
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/conf_gcm.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/conf_gcm.f90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/conf_gcm.f90	(revision 5159)
@@ -20,4 +20,6 @@
           tetagrot, tetatemp, coefdis, vert_prof_dissip
 
+  USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
   !-----------------------------------------------------------------------
@@ -27,5 +29,5 @@
 
   !     tapedef   :
-  !     etatinit  :     = TRUE   , on ne  compare pas les valeurs des para- 
+  !     etatinit  :     = TRUE   , on ne  compare pas les valeurs des para-
   !     -metres  du zoom  avec  celles lues sur le fichier start .
 
@@ -35,6 +37,6 @@
   !   Declarations :
   !   --------------
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
+
+
 
   !   local:
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/covnat.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/covnat.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/covnat.F90	(revision 5159)
@@ -4,22 +4,24 @@
   USE lmdz_comgeom
 
+  USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
 
   !=======================================================================
-  !
+
   !   Auteur:  F Hourdin Phu LeVan
   !   -------
-  !
+
   !   Objet:
   !   ------
-  !
+
   !  *********************************************************************
   !    calcul des compos. naturelles a partir des comp.covariantes
   !  ********************************************************************
-  !
+
   !=======================================================================
 
- INCLUDE "dimensions.h"
- INCLUDE "paramet.h"
+
+
 
   INTEGER :: klevel
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/dissip.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/dissip.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/dissip.F90	(revision 5159)
@@ -8,4 +8,6 @@
   USE lmdz_comgeom
 
+  USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
 
@@ -15,13 +17,13 @@
 
   !=======================================================================
-  !
+
   !   Auteur:  P. Le Van
   !   -------
-  !
+
   !   Objet:
   !   ------
-  !
+
   !   Dissipation horizontale
-  !
+
   !=======================================================================
   !-----------------------------------------------------------------------
@@ -29,6 +31,6 @@
   !   -------------
 
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
+
+
 
   !   Arguments:
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/dteta1.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/dteta1.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/dteta1.F90	(revision 5159)
@@ -3,12 +3,14 @@
 SUBROUTINE dteta1(teta, pbaru, pbarv, dteta)
   USE lmdz_filtreg, ONLY: filtreg
+  USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
 
   !=======================================================================
-  !
+
   !   Auteur:  P. Le Van
   !   -------
   ! Modif F.Forget 03/94 (on retire q et dq  pour construire dteta1)
-  !
+
   !   ********************************************************************
   !   ... calcul du terme de convergence horizontale du flux d'enthalpie
@@ -17,9 +19,9 @@
   !  .. teta,pbaru et pbarv sont des arguments d'entree  pour le s-pg ....
   ! dteta               sont des arguments de sortie pour le s-pg ....
-  !
+
   !=======================================================================
 
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
+
+
 
   REAL :: teta(ip1jmp1, llm), pbaru(ip1jmp1, llm), pbarv(ip1jm, llm)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/dudv1.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/dudv1.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/dudv1.F90	(revision 5159)
@@ -2,11 +2,13 @@
 
 SUBROUTINE dudv1(vorpot, pbaru, pbarv, du, dv)
+  USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
-  !
+
   !-----------------------------------------------------------------------
-  !
+
   !   Auteur:   P. Le Van
   !   -------
-  !
+
   !   Objet:
   !   ------
@@ -15,17 +17,17 @@
   !   vorpot, pbaru et pbarv sont des arguments d'entree  pour le s-pg ..
   !   du  et dv              sont des arguments de sortie pour le s-pg ..
-  !
+
   !-----------------------------------------------------------------------
 
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
+
+
 
   REAL :: vorpot(ip1jm, llm), pbaru(ip1jmp1, llm), &
           pbarv(ip1jm, llm), du(ip1jmp1, llm), dv(ip1jm, llm)
   INTEGER :: l, ij
-  !
-  !
+
+
   DO l = 1, llm
-    !
+
     DO ij = iip2, ip1jm - 1
       du(ij, l) = 0.125 * (vorpot(ij - iip1, l) + vorpot(ij, l)) * &
@@ -33,5 +35,5 @@
                       pbarv(ij, l) + pbarv(ij + 1, l))
     END DO
-    !
+
     DO ij = 1, ip1jm - 1
       dv(ij + 1, l) = - 0.125 * (vorpot(ij, l) + vorpot(ij + 1, l)) * &
@@ -39,13 +41,13 @@
                       pbaru(ij + iip1, l) + pbaru(ij + iip2, l))
     END DO
-    !
+
     !    .... correction  pour  dv( 1,j,l )  .....
     !    ....   dv(1,j,l)= dv(iip1,j,l) ....
-    !
+
     !DIR$ IVDEP
     DO ij = 1, ip1jm, iip1
       dv(ij, l) = dv(ij + iim, l)
     END DO
-    !
+
   END DO
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/dudv2.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/dudv2.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/dudv2.F90	(revision 5159)
@@ -3,14 +3,16 @@
 SUBROUTINE dudv2(teta, pkf, bern, du, dv)
 
+  USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
-  !
+
   !=======================================================================
-  !
+
   !   Auteur:  P. Le Van
   !   -------
-  !
+
   !   Objet:
   !   ------
-  !
+
   !   *****************************************************************
   !   ..... calcul du terme de pression (gradient de p/densite )   et
@@ -18,36 +20,36 @@
   !   *****************************************************************
   !      Ces termes sont ajoutes a  d(ucov)/dt et a d(vcov)/dt  ..
-  !
-  !
+
+
   !    teta , pkf, bern  sont des arguments d'entree  pour le s-pg  ....
   !    du et dv          sont des arguments de sortie pour le s-pg  ....
-  !
+
   !=======================================================================
   !
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
+
+
 
   REAL :: teta(ip1jmp1, llm), pkf(ip1jmp1, llm), bern(ip1jmp1, llm), &
           du(ip1jmp1, llm), dv(ip1jm, llm)
   INTEGER :: l, ij
-  !
-  !
+
+
   DO l = 1, llm
-    !
+
     DO ij = iip2, ip1jm - 1
       du(ij, l) = du(ij, l) + 0.5 * (teta(ij, l) + teta(ij + 1, l)) * &
               (pkf(ij, l) - pkf(ij + 1, l)) + bern(ij, l) - bern(ij + 1, l)
     END DO
-    !
-    !
+
+
     !    .....  correction  pour du(iip1,j,l),  j=2,jjm   ......
     !    ...          du(iip1,j,l) = du(1,j,l)                 ...
-    !
+
     !DIR$ IVDEP
     DO ij = iip1 + iip1, ip1jm, iip1
       du(ij, l) = du(ij - iim, l)
     END DO
-    !
-    !
+
+
     DO ij = 1, ip1jm
       dv(ij, l) = dv(ij, l) + 0.5 * (teta(ij, l) + teta(ij + iip1, l)) * &
@@ -55,5 +57,5 @@
               + bern(ij + iip1, l) - bern(ij, l)
     END DO
-    !
+
   END DO
   !
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/dynetat0.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/dynetat0.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/dynetat0.F90	(revision 5159)
@@ -24,7 +24,9 @@
   USE lmdz_comgeom2
 
+USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
+
+
 !===============================================================================
 ! Arguments:
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/dynredem.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/dynredem.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/dynredem.F90	(revision 5159)
@@ -22,7 +22,9 @@
   USE lmdz_comgeom2
 
+USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
+
+
   !===============================================================================
   ! Arguments:
@@ -169,7 +171,9 @@
   USE lmdz_comgeom
 
+USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
+
+
   !===============================================================================
   ! Arguments:
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/dynredem_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/dynredem_mod.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/dynredem_mod.F90	(revision 5159)
@@ -4,9 +4,11 @@
           nf90_inq_varid, nf90_get_var, nf90_def_var
   USE lmdz_cppkeys_wrapper, ONLY: nf90_format
+  USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE; PRIVATE
   PUBLIC :: dynredem_write_u, dynredem_write_v, dynredem_read_u, err
   PUBLIC :: cre_var, put_var1, put_var2, fil, modname, msg
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
+
+
   CHARACTER(LEN = 256), SAVE :: fil, modname
   INTEGER, SAVE :: nvarid
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/fluxstokenc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/fluxstokenc.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/fluxstokenc.F90	(revision 5159)
@@ -16,8 +16,10 @@
   !cc   ..   Modif. P. Le Van  ( 20/12/97 )  ...
 
+USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
 
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
+
+
 
   REAL :: time_step, t_wrt, t_ops
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/friction.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/friction.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/friction.F90	(revision 5159)
@@ -11,4 +11,6 @@
   USE lmdz_comgeom2
 
+  USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
 
@@ -25,6 +27,6 @@
   !=======================================================================
 
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
+
+
 
   ! arguments:
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/gcm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/gcm.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/gcm.F90	(revision 5159)
@@ -33,9 +33,11 @@
   USE lmdz_tracstoke
 
+  USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
 
   !      ......   Version  du 10/01/98    ..........
 
-  !             avec  coordonnees  verticales hybrides 
+  !             avec  coordonnees  verticales hybrides
   !   avec nouveaux operat. dissipation * ( gradiv2,divgrad2,nxgraro2 )
 
@@ -65,6 +67,6 @@
   !   -------------
 
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
+
+
 
   REAL zdtvr
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/groupe.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/groupe.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/groupe.F90	(revision 5159)
@@ -2,4 +2,5 @@
 
 MODULE lmdz_groupe
+  USE lmdz_paramet
   IMPLICIT NONE; PRIVATE
   PUBLIC groupe
@@ -13,4 +14,5 @@
     USE lmdz_comgeom2
 
+  USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
     IMPLICIT NONE
 
@@ -18,14 +20,14 @@
     !   poles en "regroupant" les mailles 2 par 2 puis 4 par 4 etc. au fur
     !   et a mesure qu'on se rapproche du pole.
-    !
+
     !   en entree: pbaru et pbarv
-    !
+
     !   en sortie:  pbarum,pbarvm et wm.
-    !
+
     !   remarque, le wm est recalcule a partir des pbaru pbarv et on n'a donc
     !   pas besoin de w en entree.
 
-    INCLUDE "dimensions.h"
-    INCLUDE "paramet.h"
+
+
 
     ! integer ngroup
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/groupeun.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/groupeun.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/groupeun.F90	(revision 5159)
@@ -6,8 +6,10 @@
   USE lmdz_comgeom2
 
+USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
 
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
+
+
 
   INTEGER :: jjmax, llmax
@@ -133,8 +135,10 @@
   USE lmdz_comgeom2
 
+USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
 
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
+
+
 
   ! INTEGER ngroup
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90	(revision 5159)
@@ -77,8 +77,10 @@
 
 
+USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
     IMPLICIT NONE
 
-    INCLUDE "dimensions.h"
-    INCLUDE "paramet.h"
+
+
 
     INTEGER :: error, ncidpl, rid, rcod
@@ -359,8 +361,10 @@
 
 
+USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
     IMPLICIT NONE
 
-    INCLUDE "dimensions.h"
-    INCLUDE "paramet.h"
+
+
 
 
@@ -610,8 +614,10 @@
     USE lmdz_comgeom
 
+USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
     IMPLICIT NONE
 
-    INCLUDE "dimensions.h"
-    INCLUDE "paramet.h"
+
+
 
     ! input/output variables
@@ -678,8 +684,10 @@
     USE lmdz_comgeom2
 
+USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
     IMPLICIT NONE
 
-    INCLUDE "dimensions.h"
-    INCLUDE "paramet.h"
+
+
 
     REAL, DIMENSION (iip1, jjp1), INTENT(IN) :: psi ! Psol gcm
@@ -928,8 +936,10 @@
     USE lmdz_comgeom2
 
+USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
     IMPLICIT NONE
 
-    INCLUDE "dimensions.h"
-    INCLUDE "paramet.h"
+
+
 
     ! input arguments :
@@ -1093,8 +1103,10 @@
   !=======================================================================
   SUBROUTINE guide_read(timestep)
+USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
     IMPLICIT NONE
 
-    INCLUDE "dimensions.h"
-    INCLUDE "paramet.h"
+
+
 
     INTEGER, INTENT(IN) :: timestep
@@ -1389,8 +1401,10 @@
   !=======================================================================
   SUBROUTINE guide_read2D(timestep)
+USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
     IMPLICIT NONE
 
-    INCLUDE "dimensions.h"
-    INCLUDE "paramet.h"
+
+
 
     INTEGER, INTENT(IN) :: timestep
@@ -1653,8 +1667,10 @@
     USE lmdz_comgeom2
 
+USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
     IMPLICIT NONE
 
-    INCLUDE "dimensions.h"
-    INCLUDE "paramet.h"
+
+
 
     ! Variables entree
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/iniacademic.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/iniacademic.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/iniacademic.F90	(revision 5159)
@@ -26,4 +26,6 @@
   ! of the American Meteorological Society, 75, 1825.
 
+  USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
 
@@ -31,6 +33,6 @@
   !   ---------------
 
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
+
+
 
   !   Arguments:
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/iniinterp_horiz.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/iniinterp_horiz.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/iniinterp_horiz.F90	(revision 5159)
@@ -1,5 +1,5 @@
-!
+
 ! $Header$
-!
+
 SUBROUTINE iniinterp_horiz(imo, jmo, imn, jmn, kllm, &
         rlonuo, rlatvo, rlonun, rlatvn, &
@@ -14,19 +14,19 @@
   !  dans une autre grille LMDZ en conservant la quantite
   !  totale pour les variables intensives (/m2) : ex : Pression au sol
-  !
+
   !   (Pour chaque case autour d'un point scalaire de la nouvelle
   !    grille, on calcule la surface (en m2)en intersection avec chaque
   !    case de l'ancienne grille , pour la future interpolation)
-  !
+
   ! on calcule aussi l' aire dans la nouvelle grille
-  !
-  !
+
+
   !   Auteur:  F.Forget 01/1995
   !   -------
-  !
+
   ! ---------------------------------------------------------
   !   Declarations:
   ! ==============
-  !
+
   !  ARGUMENTS
   !  """""""""
@@ -63,5 +63,5 @@
   ! On repere les frontieres des cases :
   ! ===================================
-  !
+
   ! Attention, on ruse avec des latitudes = 90 deg au pole.
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/integrd.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/integrd.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/integrd.F90	(revision 5159)
@@ -15,17 +15,19 @@
   USE lmdz_comgeom
 
+  USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
 
 
   !=======================================================================
-  !
+
   !   Auteur:  P. Le Van
   !   -------
-  !
+
   !   objet:
   !   ------
-  !
+
   !   Incrementation des tendances dynamiques
-  !
+
   !=======================================================================
   !-----------------------------------------------------------------------
@@ -33,6 +35,6 @@
   !   -------------
 
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
+
+
 
   !   Arguments:
@@ -94,5 +96,5 @@
     ps (ij) = psm1(ij) + dt * dp(ij)
   ENDDO
-  !
+
   DO ij = 1, ip1jmp1
     IF(ps(ij)<0.) THEN
@@ -107,5 +109,5 @@
     ENDIF
   ENDDO
-  !
+
   DO  ij = 1, iim
     tppn(ij) = aire(ij) * ps(ij)
@@ -118,7 +120,7 @@
     ps(ij + ip1jm) = tps
   ENDDO
-  !
+
   !  ... Calcul  de la nouvelle masse d'air au dernier temps integre t+1 ...
-  !
+
   CALL pression (ip1jmp1, ap, bp, ps, p)
   CALL massdair (p, masse)
@@ -151,6 +153,6 @@
 
     !   ....  Calcul de la valeur moyenne, unique  aux poles pour  teta    ......
-    !
-    !
+
+
     DO  ij = 1, iim
       tppn(ij) = aire(ij) * teta(ij, l)
@@ -175,7 +177,7 @@
 
 
-  !
+
   !   .......  integration de   q   ......
-  !
+
   !$$$      IF( iadv(1).NE.3.AND.iadv(2).NE.3 )    THEN
   !$$$c
@@ -212,5 +214,5 @@
     CALL qminimum(q, nq, deltap)
 
-    !
+
     !    .....  Calcul de la valeur moyenne, unique  aux poles pour  q .....
     !
@@ -238,6 +240,6 @@
 
   ENDIF ! of if (planet_type.EQ."earth")
-  !
-  !
+
+
   ! .....   FIN  de l'integration  de   q    .......
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/interp_horiz.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/interp_horiz.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/interp_horiz.F90	(revision 5159)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 SUBROUTINE interp_horiz(varo, varn, imo, jmo, imn, jmn, lm, &
         rlonuo, rlatvo, rlonun, rlatvn)
@@ -10,5 +10,5 @@
   !  dans une autre grille LMDZ en conservant la quantite
   !  totale pour les variables intensives (/m2) : ex : Pression au sol
-  !
+
   ! Francois Forget (01/1995)
   !===========================================================
@@ -18,5 +18,5 @@
   !   Declarations:
   ! ==============
-  !
+
   !  ARGUMENTS
   !  """""""""
@@ -69,5 +69,5 @@
   ! boucle sur toute les ktotal intersections entre les cases
   ! de l'ancienne et la  nouvelle grille
-  !
+
   PRINT *, 'ktotal 1 = ', ktotal
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/leapfrog.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/leapfrog.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/leapfrog.F90	(revision 5159)
@@ -1,6 +1,6 @@
 ! $Id$
 
-!
-!
+
+
 SUBROUTINE leapfrog(ucov, vcov, teta, ps, masse, phis, q, time_0)
 
@@ -33,4 +33,6 @@
   USE lmdz_comgeom
 
+  USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
 
@@ -41,15 +43,15 @@
 
   !=======================================================================
-  !
+
   !   Auteur:  P. Le Van /L. Fairhead/F.Hourdin
   !   -------
-  !
+
   !   Objet:
   !   ------
-  !
+
   !   GCM LMD nouvelle grille
-  !
+
   !=======================================================================
-  !
+
   !  ... Dans inigeom , nouveaux calculs pour les elongations  cu , cv
   !  et possibilite d'appeler une fonction f(y)  a derivee tangente
@@ -58,14 +60,14 @@
   !  ... Possibilite de choisir le shema pour l'advection de
   !    q  , en modifiant iadv dans traceur.def  (10/02) .
-  !
+
   !  Pour Van-Leer + Vapeur d'eau saturee, iadv(1)=4. (F.Codron,10/99)
   !  Pour Van-Leer iadv=10
-  !
+
   !-----------------------------------------------------------------------
   !   Declarations:
   !   -------------
 
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
+
+
 
   REAL, INTENT(IN) :: time_0 ! not used
@@ -113,5 +115,5 @@
 
   REAL :: tppn(iim), tpps(iim), tpn, tps
-  !
+
   INTEGER :: itau, itaufinp1, iav
   ! INTEGER  iday ! jour julien
@@ -242,5 +244,5 @@
 
 
-  !
+
   ! IF( MOD( itau, 10* day_step ).EQ.0 )  THEN
   !   CALL  test_period ( ucov,vcov,teta,q,p,phis )
@@ -286,5 +288,5 @@
   !   gestion des appels de la physique et des dissipations:
   !   ------------------------------------------------------
-  !
+
   !   ...    P.Le Van  ( 6/02/95 )  ....
 
@@ -351,5 +353,5 @@
 
     ENDIF ! of IF (offline)
-    !
+
   ENDIF ! of IF( forward .OR.  leapf )
 
@@ -370,10 +372,10 @@
 
   ! .P.Le Van (26/04/94  ajout de  finvpold dans l'appel d'integrd)
-  !
+
   !-----------------------------------------------------------------------
   !   calcul des tendances physiques:
   !   -------------------------------
   !    ########   P.Le Van ( Modif le  6/02/95 )   ###########
-  !
+
   IF(purmats)  THEN
     IF(itau==itaufin.AND..NOT.forward) lafin = .TRUE.
@@ -381,8 +383,8 @@
     IF(itau + 1 == itaufin)              lafin = .TRUE.
   ENDIF
-  !
-  !
+
+
   IF(apphys)  THEN
-    !
+
     ! .......   Ajout   P.Le Van ( 17/04/96 )   ...........
     !
@@ -463,5 +465,5 @@
     ENDIF
 
-    !
+
     !  Diagnostique de conservation de l'energie : difference
     IF (ip_ebil_dyn>=1) THEN
@@ -753,5 +755,5 @@
       ! iday = day_ini+itau/day_step
       ! time = REAL(itau-(iday-day_ini)*day_step)/day_step+time_0
-      !
+
       !              IF(time.GT.1.) THEN
       !               time = time-1.
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/lmdz_paramet.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/lmdz_paramet.f90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/lmdz_paramet.f90	(revision 5159)
@@ -0,0 +1,22 @@
+MODULE lmdz_paramet
+  USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+
+  IMPLICIT NONE; PRIVATE
+  PUBLIC iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+
+  INTEGER  iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1
+  INTEGER  kftd, ip1jm, ip1jmp1, ip1jmi1, ijp1llm
+  INTEGER  ijmllm, mvar
+  INTEGER jcfil, jcfllm
+
+  PARAMETER(iip1 = iim + 1, iip2 = iim + 2, iip3 = iim + 3, jjp1 = jjm + 1 - 1 / jjm)
+  PARAMETER(llmp1 = llm + 1, llmp2 = llm + 2, llmm1 = llm - 1)
+  PARAMETER(kftd = iim / 2 - ndm)
+  PARAMETER(ip1jm = iip1 * jjm, ip1jmp1 = iip1 * jjp1)
+  PARAMETER(ip1jmi1 = ip1jm - iip1)
+  PARAMETER(ijp1llm = ip1jmp1 * llm, ijmllm = ip1jm * llm)
+  PARAMETER(mvar = ip1jmp1 * (2 * llm + 1) + ijmllm)
+  PARAMETER(jcfil = jjm / 2 + 5, jcfllm = jcfil * llm)
+
+END MODULE lmdz_paramet
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/paramet.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/paramet.h	(revision 5158)
+++ 	(revision )
@@ -1,29 +1,0 @@
-
-! $Header$
-
-
-!  ATTENTION!!!!: ce fichier INCLUDE est compatible format fixe/format libre
-!                 veillez  n'utiliser que des ! pour les commentaires
-!                 et  bien positionner les & des lignes de continuation
-!                 (les placer en colonne 6 et en colonne 73)
-
-
-!-----------------------------------------------------------------------
-!   INCLUDE 'paramet.h'
-
-      INTEGER  iip1,iip2,iip3,jjp1,llmp1,llmp2,llmm1
-      INTEGER  kftd,ip1jm,ip1jmp1,ip1jmi1,ijp1llm
-      INTEGER  ijmllm,mvar
-      INTEGER jcfil,jcfllm
-
-      PARAMETER( iip1= iim+1,iip2=iim+2,iip3=iim+3                       &
-          ,jjp1=jjm+1-1/jjm)
-      PARAMETER( llmp1 = llm+1,  llmp2 = llm+2, llmm1 = llm-1 )
-      PARAMETER( kftd  = iim/2 -ndm )
-      PARAMETER( ip1jm  = iip1*jjm,  ip1jmp1= iip1*jjp1 )
-      PARAMETER( ip1jmi1= ip1jm - iip1 )
-      PARAMETER( ijp1llm= ip1jmp1 * llm, ijmllm= ip1jm * llm )
-      PARAMETER( mvar= ip1jmp1*( 2*llm+1) + ijmllm )
-      PARAMETER( jcfil=jjm/2+5, jcfllm=jcfil*llm )
-
-!-----------------------------------------------------------------------
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/qminimum.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/qminimum.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/qminimum.F90	(revision 5159)
@@ -8,25 +8,27 @@
   USE lmdz_ssum_scopy, ONLY: ssum
 
+  USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
-  !
+
   !  -- Objet : Traiter les valeurs trop petites (meme negatives)
   !         pour l'eau vapeur et l'eau liquide
   !
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
-  !
+
+
+
   INTEGER :: nqtot
   REAL :: q(ip1jmp1, llm, nqtot), deltap(ip1jmp1, llm)
-  !
+
   LOGICAL, SAVE :: first = .TRUE.
   INTEGER, SAVE :: iq_vap, iq_liq        ! indices pour l'eau vapeur/liquide
   REAL, PARAMETER :: seuil_vap = 1.0e-10 ! seuil pour l'eau vapeur
   REAL, PARAMETER :: seuil_liq = 1.0e-11 ! seuil pour l'eau liquide
-  !
+
   !  NB. ....( Il est souhaitable mais non obligatoire que les valeurs des
   !        parametres seuil_vap, seuil_liq soient pareilles a celles
   !        qui  sont utilisees dans la routine    ADDFI       )
   ! .................................................................
-  !
+
   !DC iq_val and iq_liq are usable for q only, NOT for q_follow
   !   and zx_defau_diag (crash if iq_val/liq==3) => vapor/liquid
@@ -37,5 +39,5 @@
   REAL :: zx_defau_diag(ip1jmp1, llm, 2)
   REAL :: q_follow(ip1jmp1, llm, 2)
-  !
+
   INTEGER :: imprim
   SAVE imprim
@@ -51,5 +53,5 @@
     first = .FALSE.
   END IF
-  !
+
   ! Quand l'eau liquide est trop petite (ou negative), on prend
   ! l'eau vapeur de la meme couche et la convertit en eau liquide
@@ -73,8 +75,8 @@
     ENDDO
   ENDDO
-  !
+
   ! Quand l'eau vapeur est trop faible (ou negative), on complete
   ! le defaut en prennant de l'eau vapeur de la couche au-dessous.
-  !
+
   DO k = llm, 2, -1
     !cc      zx_abc = dpres(k) / dpres(k-1)
@@ -92,8 +94,8 @@
   ENDDO
 
-  !
+
   ! Quand il s'agit de la premiere couche au-dessus du sol, on
   ! doit imprimer un message d'avertissement (saturation possible).
-  !
+
   DO i = 1, ip1jmp1
     zx_pump(i) = AMAX1(0.0, seuil_vap - q(i, 1, iq_vap))
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/replay3d.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/replay3d.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/replay3d.F90	(revision 5159)
@@ -25,4 +25,6 @@
   USE lmdz_comgeom2
 
+  USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
 
@@ -57,6 +59,6 @@
   !   -------------
 
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
+
+
 
   REAL zdtvr
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/sw_case_williamson91_6.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/sw_case_williamson91_6.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/sw_case_williamson91_6.F90	(revision 5159)
@@ -4,24 +4,24 @@
 
   !=======================================================================
-  !
+
   !   Author:    Thomas Dubos      original: 26/01/2010
   !   -------
-  !
+
   !   Subject:
   !   ------
   !   Realise le cas-test 6 de Williamson et al. (1991) : onde de Rossby-Haurwitz
-  !
+
   !   Method:
   !   --------
-  !
+
   !   Interface:
   !   ----------
-  !
+
   !  Input:
   !  ------
-  !
+
   !  Output:
   !  -------
-  !
+
   !=======================================================================
   USE comconst_mod, ONLY: cpp, omeg, rad
@@ -30,4 +30,6 @@
   USE lmdz_comgeom
 
+  USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
   !-----------------------------------------------------------------------
@@ -35,6 +37,6 @@
   !   ---------------
 
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
+
+
 
   !   Arguments:
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/tetaleveli1j.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/tetaleveli1j.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/tetaleveli1j.F90	(revision 5159)
@@ -6,13 +6,15 @@
 
   ! FH 2008/05/09 On elimine toutes les clefs physiques dans la dynamique
+USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
 
-  INCLUDE "dimensions.h"
+
 
   !================================================================
-  !
+
   ! Interpoler des champs 3-D u, v et g du modele a un niveau de
   ! pression donnee (pres)
-  !
+
   ! INPUT:  ilon ----- nombre de points
   !     ilev ----- nombre de couches
@@ -22,7 +24,7 @@
   !     Qgcm ----- champ GCM
   !     Qpres ---- champ interpolle au niveau pres
-  !
+
   !================================================================
-  !
+
   !   arguments :
   !   -----------
@@ -43,6 +45,6 @@
   ! REAL ptop, pbot, aist(klon), aisb(klon)
   !
-  INCLUDE "paramet.h"
-  !
+
+
   INTEGER :: lt(ip1jm), lb(ip1jm)
   REAL :: ptop, pbot, aist(ip1jm), aisb(ip1jm)
@@ -51,5 +53,5 @@
 
   INTEGER :: i, k
-  !
+
   ! PRINT*,'tetalevel pres=',pres
   !=====================================================================
@@ -60,5 +62,5 @@
 
     ! Chercher les 2 couches les plus proches du niveau a obtenir
-    !
+
     ! Eventuellement, faire l'extrapolation a partir des deux couches
     ! les plus basses ou les deux couches les plus hautes:
@@ -87,10 +89,10 @@
       END DO
     END DO
-    !
+
     ! Interpolation lineaire:
-    !
+
     DO i = 1, ilon
       ! interpolation en logarithme de pression:
-      !
+
       ! ...   Modif . P. Le Van    ( 20/01/98) ....
       !   Modif Frédéric Hourdin (3/01/02)
@@ -98,10 +100,10 @@
       IF(pgcm(i, lb(i))==0.OR. &
               pgcm(i, lt(i))==0.) THEN
-        !
+
         PRINT*, 'i,lb,lt,2pgcm,pres', i, lb(i), &
                 lt(i), pgcm(i, lb(i)), pgcm(i, lt(i)), pres
-        !
+
       ENDIF
-      !
+
       aist(i) = LOG(pgcm(i, lb(i)) / pres) &
               / LOG(pgcm(i, lb(i)) / pgcm(i, lt(i)))
@@ -121,5 +123,5 @@
     !IM  $   Qgcm(i,lt(i)),aist(i),Qpres(i)
   enddo
-  !
+
   ! Je mets les vents a zero quand je rencontre une montagne
   DO i = 1, ilon
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/tetaleveli1j1.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/tetaleveli1j1.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/tetaleveli1j1.F90	(revision 5159)
@@ -6,13 +6,15 @@
 
   ! FH 2008/05/09 On elimine toutes les clefs physiques dans la dynamique
+USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
 
-  INCLUDE "dimensions.h"
+
 
   !================================================================
-  !
+
   ! Interpoler des champs 3-D u, v et g du modele a un niveau de
   ! pression donnee (pres)
-  !
+
   ! INPUT:  ilon ----- nombre de points
   !     ilev ----- nombre de couches
@@ -22,7 +24,7 @@
   !     Qgcm ----- champ GCM
   !     Qpres ---- champ interpolle au niveau pres
-  !
+
   !================================================================
-  !
+
   !   arguments :
   !   -----------
@@ -43,6 +45,6 @@
   ! REAL ptop, pbot, aist(klon), aisb(klon)
   !
-  INCLUDE "paramet.h"
-  !
+
+
   INTEGER :: lt(ip1jmp1), lb(ip1jmp1)
   REAL :: ptop, pbot, aist(ip1jmp1), aisb(ip1jmp1)
@@ -51,5 +53,5 @@
 
   INTEGER :: i, k
-  !
+
   ! PRINT*,'tetalevel pres=',pres
   !=====================================================================
@@ -60,5 +62,5 @@
 
     ! Chercher les 2 couches les plus proches du niveau a obtenir
-    !
+
     ! Eventuellement, faire l'extrapolation a partir des deux couches
     ! les plus basses ou les deux couches les plus hautes:
@@ -87,10 +89,10 @@
       END DO
     END DO
-    !
+
     ! Interpolation lineaire:
-    !
+
     DO i = 1, ilon
       ! interpolation en logarithme de pression:
-      !
+
       ! ...   Modif . P. Le Van    ( 20/01/98) ....
       !   Modif Frédéric Hourdin (3/01/02)
@@ -98,10 +100,10 @@
       IF(pgcm(i, lb(i))==0.OR. &
               pgcm(i, lt(i))==0.) THEN
-        !
+
         PRINT*, 'i,lb,lt,2pgcm,pres', i, lb(i), &
                 lt(i), pgcm(i, lb(i)), pgcm(i, lt(i)), pres
-        !
+
       ENDIF
-      !
+
       aist(i) = LOG(pgcm(i, lb(i)) / pres) &
               / LOG(pgcm(i, lb(i)) / pgcm(i, lt(i)))
@@ -121,5 +123,5 @@
     !IM  $   Qgcm(i,lt(i)),aist(i),Qpres(i)
   enddo
-  !
+
   ! Je mets les vents a zero quand je rencontre une montagne
   DO i = 1, ilon
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/top_bound.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/top_bound.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/top_bound.F90	(revision 5159)
@@ -10,8 +10,10 @@
   USE lmdz_comgeom2
 
+USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
   !
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
+
+
 
 
@@ -21,13 +23,13 @@
 
   !=======================================================================
-  !
+
   !   Auteur:  F. LOTT
   !   -------
-  !
+
   !   Objet:
   !   ------
-  !
+
   !   Dissipation linéaire (ex top_bound de la physique)
-  !
+
   !=======================================================================
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/vlsplt.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/vlsplt.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/vlsplt.F90	(revision 5159)
@@ -1,3 +1,3 @@
-!
+
 ! $Id$
 !
@@ -6,24 +6,26 @@
   USE infotrac, ONLY: nqtot, tracers
   USE lmdz_ssum_scopy, ONLY: scopy
-  !
+
   ! Auteurs:   P.Le Van, F.Hourdin, F.Forget
-  !
+
   !    ********************************************************************
   ! Shema  d'advection " pseudo amont " .
   !    ********************************************************************
   ! q,pbaru,pbarv,w sont des arguments d'entree  pour le s-pg ....
-  !
+
   !   pente_max facteur de limitation des pentes: 2 en general
   !                                           0 pour un schema amont
   !   pbaru,pbarv,w flux de masse en u ,v ,w
   !   pdt pas de temps
-  !
+
   !   --------------------------------------------------------------------
+USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
   !
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
-
-  !
+
+
+
+
   !   Arguments:
   !   ----------
@@ -33,10 +35,10 @@
   REAL :: w(ip1jmp1, llm), pdt
   INTEGER :: iq ! CRisi
-  !
+
   !  Local
   !   ---------
-  !
+
   INTEGER :: ij, l
-  !
+
   REAL :: zm(ip1jmp1, llm, nqtot)
   REAL :: mu(ip1jmp1, llm)
@@ -110,18 +112,20 @@
 
   ! Auteurs:   P.Le Van, F.Hourdin, F.Forget
-  !
+
   !    ********************************************************************
   ! Shema  d'advection " pseudo amont " .
   !    ********************************************************************
   ! nq,iq,q,pbaru,pbarv,w sont des arguments d'entree  pour le s-pg ....
-  !
-  !
+
+
   !   --------------------------------------------------------------------
+USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
   !
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
-  !
-  !
+
+
+
+
   !   Arguments:
   !   ----------
@@ -130,11 +134,11 @@
   REAL :: q(ip1jmp1, llm, nqtot)
   INTEGER :: iq ! CRisi
-  !
+
   !  Local
   !   ---------
-  !
+
   INTEGER :: ij, l, j, i, iju, ijq, indu(ip1jmp1), niju
   INTEGER :: n0, iadvplus(ip1jmp1, llm), nl(llm)
-  !
+
   REAL :: new_m, zu_m, zdum(ip1jmp1, llm)
   REAL :: dxq(ip1jmp1, llm), dxqu(ip1jmp1)
@@ -424,7 +428,7 @@
   USE lmdz_comgeom
 
- !
+
   ! Auteurs:   P.Le Van, F.Hourdin, F.Forget
-  !
+
   !    ********************************************************************
   ! Shema  d'advection " pseudo amont " .
@@ -432,14 +436,16 @@
   ! q,masse_adv_v,w sont des arguments d'entree  pour le s-pg ....
   ! dq            sont des arguments de sortie pour le s-pg ....
-  !
-  !
+
+
   !   --------------------------------------------------------------------
   USE comconst_mod, ONLY: pi
+USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
   !
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
-  !
-  !
+
+
+
+
   !   Arguments:
   !   ----------
@@ -448,10 +454,10 @@
   REAL :: q(ip1jmp1, llm, nqtot)
   INTEGER :: iq ! CRisi
-  !
+
   !  Local
   !   ---------
-  !
+
   INTEGER :: i, ij, l
-  !
+
   REAL :: airej2, airejjm, airescb(iim), airesch(iim)
   REAL :: dyq(ip1jmp1, llm), dyqv(ip1jm)
@@ -493,9 +499,9 @@
   ENDIF
 
-  !
+
   !PRINT*,'CALCUL EN LATITUDE'
 
   DO l = 1, llm
-    !
+
     !   --------------------------------
     !  CALCUL EN LATITUDE
@@ -590,8 +596,8 @@
     ! appn=min(pente_max/appn,1.)
     ! apps=min(pente_max/apps,1.)
-    !
-    !
+
+
     !   cas ou on a un extremum au pole
-    !
+
     ! IF(dyqv(ismin(iim,dyqv,1))*dyqv(ismax(iim,dyqv,1)).le.0.)
     !    &   appn=0.
@@ -599,5 +605,5 @@
     !    &   dyqv(ismin(iim,dyqv(ip1jm-iip1+1),1)+ip1jm-iip1+1).le.0.)
     !    &   apps=0.
-    !
+
     !   limitation des pentes aux poles
     ! DO ij=1,iip1
@@ -605,5 +611,5 @@
     !    dyq(ip1jm+ij)=apps*dyq(ip1jm+ij)
     ! ENDDO
-    !
+
     !   test
     !  DO ij=1,iip1
@@ -614,5 +620,5 @@
     !     dyq(ij)=dyq(ij)*cos(rlatu((ij-1)/iip1+1))
     !  ENDDO
-    !
+
     ! changement 10 07 96
     ! IF(dyqv(ismin(iim,dyqv,1))*dyqv(ismax(iim,dyqv,1)).le.0.)
@@ -626,5 +632,5 @@
     !    ENDDO
     ! ENDIF
-    !
+
     ! IF(dyqv(ismax(iim,dyqv(ip1jm-iip1+1),1)+ip1jm-iip1+1)*
     !    & dyqv(ismin(iim,dyqv(ip1jm-iip1+1),1)+ip1jm-iip1+1).le.0.)
@@ -745,7 +751,7 @@
   USE infotrac, ONLY: nqtot, tracers, & ! CRisi
           min_qParent, min_qMass, min_ratio ! MVals et CRisi
-  !
+
   ! Auteurs:   P.Le Van, F.Hourdin, F.Forget
-  !
+
   !    ********************************************************************
   ! Shema  d'advection " pseudo amont " .
@@ -754,10 +760,12 @@
   ! dq            sont des arguments de sortie pour le s-pg ....
   !   --------------------------------------------------------------------
+USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
   !
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
-  !
-  !
+
+
+
+
   !   Arguments:
   !   ----------
@@ -766,10 +774,10 @@
   REAL :: w(ip1jmp1, llm + 1)
   INTEGER :: iq
-  !
+
   !  Local
   !   ---------
-  !
+
   INTEGER :: ij, l
-  !
+
   REAL :: wq(ip1jmp1, llm + 1), newmasse
 
@@ -886,7 +894,6 @@
 
 SUBROUTINE minmaxq(zq, qmin, qmax, comment)
-
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
+  USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
 
   CHARACTER(LEN = 20) :: comment
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/vlspltqs.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/vlspltqs.F90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/vlspltqs.F90	(revision 5159)
@@ -1,11 +1,11 @@
-!
+
 ! $Id$
-!
+
 SUBROUTINE vlspltqs(q, pente_max, masse, w, pbaru, pbarv, pdt, &
         p, pk, teta, iq)
   USE infotrac, ONLY: nqtot, tracers
-  !
+
   ! Auteurs:   P.Le Van, F.Hourdin, F.Forget, F.Codron
-  !
+
   !    ********************************************************************
   !      Shema  d'advection " pseudo amont " .
@@ -14,10 +14,10 @@
   !    ********************************************************************
   ! q,pbaru,pbarv,w sont des arguments d'entree  pour le s-pg ....
-  !
+
   ! pente_max facteur de limitation des pentes: 2 en general
   !0 pour un schema amont
   ! pbaru,pbarv,w flux de masse en u ,v ,w
   ! pdt pas de temps
-  !
+
   ! teta temperature potentielle, p pression aux interfaces,
   ! pk exner au milieu des couches necessaire pour calculer Qsat
@@ -27,10 +27,12 @@
   USE logic_mod, ONLY: adv_qsat_liq
   USE lmdz_ssum_scopy, ONLY: scopy
+USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
   !
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
-
-  !
+
+
+
+
   !   Arguments:
   !   ----------
@@ -41,11 +43,11 @@
   REAL :: p(ip1jmp1, llmp1), teta(ip1jmp1, llm), pk(ip1jmp1, llm)
   INTEGER :: iq ! CRisi
-  !
+
   !  Local
   !   ---------
-  !
+
   INTEGER :: i, ij, l, j, ii
   INTEGER :: ifils, iq2 ! CRisi
-  !
+
   REAL :: qsat(ip1jmp1, llm)
   REAL :: zm(ip1jmp1, llm, nqtot)
@@ -178,18 +180,20 @@
   USE infotrac, ONLY: nqtot, tracers ! CRisi
 
-  !
+
   ! Auteurs:   P.Le Van, F.Hourdin, F.Forget
-  !
+
   !    ********************************************************************
   ! Shema  d'advection " pseudo amont " .
   !    ********************************************************************
-  !
+
   !   --------------------------------------------------------------------
+USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
   !
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
-  !
-  !
+
+
+
+
   !   Arguments:
   !   ----------
@@ -199,11 +203,11 @@
   REAL :: qsat(ip1jmp1, llm)
   INTEGER :: iq ! CRisi
-  !
+
   !  Local
   !   ---------
-  !
+
   INTEGER :: ij, l, j, i, iju, ijq, indu(ip1jmp1), niju
   INTEGER :: n0, iadvplus(ip1jmp1, llm), nl(llm)
-  !
+
   REAL :: new_m, zu_m, zdum(ip1jmp1, llm)
   REAL :: dxq(ip1jmp1, llm), dxqu(ip1jmp1)
@@ -508,7 +512,7 @@
 SUBROUTINE vlyqs(q, pente_max, masse, masse_adv_v, qsat, iq)
   USE infotrac, ONLY: nqtot, tracers ! CRisi
-  !
+
   ! Auteurs:   P.Le Van, F.Hourdin, F.Forget
-  !
+
   !    ********************************************************************
   ! Shema  d'advection " pseudo amont " .
@@ -516,6 +520,6 @@
   ! q,masse_adv_v,w sont des arguments d'entree  pour le s-pg ....
   !     qsat            est   un argument de sortie pour le s-pg ....
-  !
-  !
+
+
   !   --------------------------------------------------------------------
 
@@ -524,9 +528,11 @@
   USE lmdz_comgeom
 
+USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_paramet
   IMPLICIT NONE
   !
-  INCLUDE "dimensions.h"
-  INCLUDE "paramet.h"
-  !
+
+
+
   !   Arguments:
   !   ----------
@@ -536,10 +542,10 @@
   REAL :: qsat(ip1jmp1, llm)
   INTEGER :: iq ! CRisi
-  !
+
   !  Local
   !   ---------
-  !
+
   INTEGER :: i, ij, l
-  !
+
   REAL :: airej2, airejjm, airescb(iim), airesch(iim)
   REAL :: dyq(ip1jmp1, llm), dyqv(ip1jm)
@@ -586,5 +592,5 @@
 
   DO l = 1, llm
-    !
+
     !   --------------------------------
     !  CALCUL EN LATITUDE
@@ -673,8 +679,8 @@
     ! appn=min(pente_max/appn,1.)
     ! apps=min(pente_max/apps,1.)
-    !
-    !
+
+
     !   cas ou on a un extremum au pole
-    !
+
     ! IF(dyqv(ismin(iim,dyqv,1))*dyqv(ismax(iim,dyqv,1)).le.0.)
     !    &   appn=0.
@@ -682,5 +688,5 @@
     !    &   dyqv(ismin(iim,dyqv(ip1jm-iip1+1),1)+ip1jm-iip1+1).le.0.)
     !    &   apps=0.
-    !
+
     !   limitation des pentes aux poles
     ! DO ij=1,iip1
@@ -688,5 +694,5 @@
     !    dyq(ip1jm+ij)=apps*dyq(ip1jm+ij)
     ! ENDDO
-    !
+
     !   test
     !  DO ij=1,iip1
@@ -697,5 +703,5 @@
     !     dyq(ij)=dyq(ij)*cos(rlatu((ij-1)/iip1+1))
     !  ENDDO
-    !
+
     ! changement 10 07 96
     ! IF(dyqv(ismin(iim,dyqv,1))*dyqv(ismax(iim,dyqv,1)).le.0.)
@@ -709,5 +715,5 @@
     !    ENDDO
     ! ENDIF
-    !
+
     ! IF(dyqv(ismax(iim,dyqv(ip1jm-iip1+1),1)+ip1jm-iip1+1)*
     !    & dyqv(ismin(iim,dyqv(ip1jm-iip1+1),1)+ip1jm-iip1+1).le.0.)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/wrgrads.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/wrgrads.f90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/wrgrads.f90	(revision 5159)
@@ -118,5 +118,5 @@
     enddo
     WRITE(unit(if), '(a7)') 'ENDVARS'
-    !
+
     1000   format(a5, 3x, i4, i3, 1x, a39)
 
